:root {
  --building-color: #FF9800;
  --house-color: #0288D1;
  --shop-color: #7B1FA2;
  --warehouse-color: #558B2F;
}

#map {
  margin: auto;
}
#weatherDataTable {
	margin-bottom: 50px;
}
/*
 * station styles in unhighlighted state.
 */
.station {
  align-items: center;
  background-color: #0000FF;
  border-radius: 50%;
  color: #263238;
  display: flex;
  font-size: 14px;
  gap: 15px;
  height: 30px;
  justify-content: center;
  padding: 4px;
  position: relative;
  position: relative;
  transition: all 0.3s ease-out;
  width: 30px;
}

.station::after {
  border-left: 9px solid transparent;
  border-right: 9px solid transparent;
  border-top: 9px solid #0000FF;
  content: "";
  height: 0;
  left: 50%;
  position: absolute;
  top: 95%;
  transform: translate(-50%, 0);
  transition: all 0.3s ease-out;
  width: 0;
  z-index: 1;
}

.station .icon {
  align-items: center;
  display: flex;
  justify-content: center;
  color: #FFFFFF;
}

.station .icon svg {
  height: 20px;
  width: auto;
}

.station .details {
  display: none;
  flex-direction: column;
  flex: 1;
}

.station .wmo {
  color: #9E9E9E;
  font-size: 10px;
  margin-bottom: 10px;
  margin-top: 5px;
}

.station .features {
  align-items: flex-end;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.station .features > div {
  align-items: center;
  background: #F5F5F5;
  border-radius: 5px;
  border: 1px solid #ccc;
  display: flex;
  font-size: 10px;
  gap: 5px;
  padding: 5px;
}

/*
 * station styles in highlighted state.
 */
.station.highlight {
  background-color: #FFFFFF;
  border-radius: 8px;
  box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
  height: auto;
  padding: 8px 15px;
  width: auto;
}

.station.highlight::after {
  border-top: 9px solid #FFFFFF;
}

.station.highlight .details {
  display: flex;
}

.station.highlight .icon svg {
  width: 50px;
  height: 50px;
}

.station .lat {
  color: #FFA000;
}

.station .lon {
  color: #03A9F4;
}

.station .ctz {
  color: #388E3C;
}

/*
 * House icon colors.
 */
.station.highlight:has(.fa-cloud-sun-rain) .icon {
  color: var(--house-color);
}

.station:not(.highlight):has(.fa-cloud-sun-rain) {
  background-color: var(--house-color);
}

.station:not(.highlight):has(.fa-cloud-sun-rain)::after {
  border-top: 9px solid var(--house-color);
}

/*
 * Building icon colors.
 */
.station.highlight:has(.fa-building) .icon {
  color: var(--building-color);
}

.station:not(.highlight):has(.fa-building) {
  background-color: var(--building-color);
}

.station:not(.highlight):has(.fa-building)::after {
  border-top: 9px solid var(--building-color);
}

/*
 * Warehouse icon colors.
 */
.station.highlight:has(.fa-warehouse) .icon {
  color: var(--warehouse-color);
}

.station:not(.highlight):has(.fa-warehouse) {
  background-color: var(--warehouse-color);
}

.station:not(.highlight):has(.fa-warehouse)::after {
  border-top: 9px solid var(--warehouse-color);
}

/*
 * Shop icon colors.
 */
.station.highlight:has(.fa-shop) .icon {
  color: var(--shop-color);
}

.station:not(.highlight):has(.fa-shop) {
  background-color: var(--shop-color);
}

.station:not(.highlight):has(.fa-shop)::after {
  border-top: 9px solid var(--shop-color);
}
#pac-input {
	margin-top: 20px;
}